using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：交底明细
    /// </summary>
    [Description("导航：交底明细")]
    public class T_WB_DANGEROUS_JOB_MOINTER_RECORD_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 外包工程危险作业表ID
        /// </summary>
        [Description("外包工程危险作业表ID")]
        [DataFieldForeignKey("Nav_Parent", "Nav_MointerRecordDetails")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_WB_DANGEROUS_JOB Nav_Parent { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        [FormFieldEdit]
        public DateTime START_TIME { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        [FormFieldEdit]
        public DateTime END_TIME { get; set; }

        /// <summary>
        /// 监察部门
        /// </summary>
        [Description("监察部门")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_MointerDepartment")]
        public Guid? MOINTER_DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 监察部门
        /// </summary>
        [Description("导航: 监察部门")]
        public T_FM_DEPARTMENT Nav_MointerDepartment { get; set; }
        /// <summary>
        /// 监察人
        /// </summary>
        [Description("监察人")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_MointerUser")]
        public Guid MOINTER_USER_ID { get; set; }
        /// <summary>
        /// 导航: 监察人
        /// </summary>
        [Description("导航: 监察人")]
        public T_FM_USER Nav_MointerUser { get; set; }
        /// <summary>
        /// 监查情况说明
        /// </summary>
        [Description("监查情况说明")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }

        /// <summary>
        /// 导航: 监查照片
        /// </summary>
        [Description("监查照片")]
        [FormFieldEdit]
        public ICollection<T_WB_DANGEROUS_JOB_MOINTER_RECORD_DETAIL_FILE> Nav_Files { get; set; }
    }
}
